%define __python /usr/bin/python2.7
%global pyver 27
%global pybindir /usr/lib/python2.7/bin

%define upversion 1.12
%define upname pywcs

Name: pywcs%{pyver}
Version: %{upversion}
Release: 1%{?dist}
Summary: Python World Coordinate System routines
License: BSD

Group: Development/Languages
URL: http://stsdas.stsci.edu/astrolib/pywcs/
Source0: https://pypi.python.org/packages/source/p/pywcs/%{upname}-%{upversion}.tar.gz

BuildRequires: python%{pyver}-devel numpy%{pyver} wcslib-devel python%{pyver}-d2to1 python%{pyver}-stsci.distutils
Requires: numpy%{pyver} pyfits%{pyver}

# we don't want to provide private python extension libs
%{?filter_setup:
%filter_provides_in %{python_sitearch}/.*\.so$ 
%filter_setup
}

%description
pywcs is a set of routines for handling the FITS World Coordinate System (WCS) 
standard. It is a thin wrapper around the high- and mid-level interfaces 
of Dr. Mark Calabretta's WCSLIB. 

%prep
%setup -q -n %{upname}-%{upversion}

%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root  %{buildroot}
chmod 755 %{buildroot}/%{python_sitearch}/pywcs/_pywcs.so
 

%files
%defattr(-,root,root,-)
%doc CHANGELOG LICENSE README examples/
%{python_sitearch}/pywcs/
%{python_sitearch}/*.egg-info
%exclude %{python_sitearch}/pywcs/include

%changelog
* Tue Apr 26 2011 Sergio Pascual <sergiopr at fedoraproject.com> - 1.6-1
- Initial spec file
